フォルダーの以前のバージョンを復元
curl --request POST \
--url https://api.hubapi.com/cms/v3/pages/landing-pages/folders/{objectId}/revisions/{revisionId}/restore \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/cms/v3/pages/landing-pages/folders/{objectId}/revisions/{revisionId}/restore"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/cms/v3/pages/landing-pages/folders/{objectId}/revisions/{revisionId}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}フォルダー
Restore a previous version of a folder
ランディングページフォルダーの指定されたバージョンを取得して復元します。
POST
/
cms
/
v3
/
pages
/
landing-pages
/
folders
/
{objectId}
/
revisions
/
{revisionId}
/
restore
フォルダーの以前のバージョンを復元
Supported products
Supported products
Required Scopes
Required Scopes
承認
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
レスポンス
successful operation
Model definition for a content folder.
このフォルダーが適用されるオブジェクトのタイプ。常にLANDING_PAGEにしてください。
コンテンツフォルダーが作成された日時を示すタイムスタンプ。
このコンテンツフォルダーが削除されたタイムスタンプ(ISO8601 形式)。
コンテンツフォルダーの一意の ID。
アプリダッシュボードに表示されるフォルダー名
このフォルダーがネストされているコンテンツフォルダーの ID
コンテンツフォルダーが最後に更新された日時を示すタイムスタンプ。
最終更新日 2026年4月10日
⌘I